package es.uv.saic.dto;

import es.uv.saic.domain.Proces;

public class ProcesDTO {
    private Integer idProces;
    private String nomProces;
    private Integer lugar;
    private Integer lugar2;
    private String tambit;
    private Integer cursAvaluat;
    private String versio;
    private String titolCas;
    private String titolVal;
    private String ambit;
    private Integer cursActivacio;
    private String descripcioCas;
    private String descripcioVal;
    private String comentaris;
    private String subTitol;

    public ProcesDTO() {
    }
    
    public ProcesDTO(Integer idProces, String nomProces, Integer lugar, Integer lugar2, String tambit,
            Integer cursAvaluat, String versio, String titolCas, String titolVal, String ambit, Integer cursActivacio,
            String descripcioCas, String descripcioVal, String comentaris, String subtitol) {
        this.idProces = idProces;
        this.nomProces = nomProces;
        this.lugar = lugar;
        this.lugar2 = lugar2;
        this.tambit = tambit;
        this.cursAvaluat = cursAvaluat;
        this.versio = versio;
        this.titolCas = titolCas;
        this.titolVal = titolVal;
        this.ambit = ambit;
        this.cursActivacio = cursActivacio;
        this.descripcioCas = descripcioCas;
        this.descripcioVal = descripcioVal;
        this.comentaris = comentaris;
        this.subTitol = subtitol;
    }

    public ProcesDTO(Proces proces) {
        this.idProces = proces.getIdProces();
        this.nomProces = proces.getNomProces();
        this.tambit = proces.getAmbit();
        this.cursAvaluat = proces.getCursAvaluat();
        this.versio = proces.getVersio();
        this.titolCas = proces.getTitolCas();
        this.titolVal = proces.getTitolVal();
        this.ambit = proces.getAmbit();
        this.cursActivacio = proces.getCursActivacio();
        this.descripcioCas = proces.getDescripcioCas();
        this.descripcioVal = proces.getDescripcioVal();
        this.comentaris = proces.getComentaris();
        this.subTitol = proces.getSubTitol();
    }
    
    public Integer getIdProces() {
        return idProces;
    }

    public void setIdProces(Integer idProces) {
        this.idProces = idProces;
    }

    public String getNomProces() {
        return nomProces;
    }

    public Integer getLugar() {
        return lugar;
    }

    public Integer getLugar2() {
        return lugar2;
    }

    public String getTambit() {
        return tambit;
    }

    public void setNomProces(String nomProces) {
        this.nomProces = nomProces;
    }

    public void setLugar(Integer lugar) {
        this.lugar = lugar;
    }

    public void setLugar2(Integer lugar2) {
        this.lugar2 = lugar2;
    }

    public void setTambit(String tambit) {
        this.tambit = tambit;
    }

    public Integer getCursAvaluat() {
        return cursAvaluat;
    }

    public void setCursAvaluat(Integer cursAvaluat) {
        this.cursAvaluat = cursAvaluat;
    }

    public String getVersio() {
        return versio;
    }

    public void setVersio(String versio) {
        this.versio = versio;
    }

    public String getTitolVal() {
        return titolVal;
    }

    public void setTitolVal(String titolVal) {
        this.titolVal = titolVal;
    }

    public String getTitolCas() {
        return titolCas;
    }

    public void setTitolCas(String titolCas) {
        this.titolCas = titolCas;
    }

    public String getAmbit() {
        return ambit;
    }

    public void setAmbit(String ambit) {
        this.ambit = ambit;
    }

    public Integer getCursActivacio() {
        return cursActivacio;
    }

    public void setCursActivacio(Integer cursActivacio) {
        this.cursActivacio = cursActivacio;
    }

    public String getDescripcioCas() {
        return descripcioCas;
    }

    public void setDescripcioCas(String descripcioCas) {
        this.descripcioCas = descripcioCas;
    }

    public String getDescripcioVal() {
        return descripcioVal;
    }

    public void setDescripcioVal(String descripcioVal) {
        this.descripcioVal = descripcioVal;
    }

    public String getComentaris() {
        return comentaris;
    }

    public void setComentaris(String comentaris) {
        this.comentaris = comentaris;
    }

    public String getSubTitol() {
        return subTitol;
    }

    public void setSubTitol(String subtitol) {
        this.subTitol = subtitol;
    }
    
}
